POST /techsupportprofile
/techsupportprofile
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
TechSupportProfile object creation
{
"_last_modified": "string",
"archive_rules": {
"rules": [
{
"file_path": "string",
"threshold": 0
}
]
},
"event_params": {
"collect_all_events": false,
"days": 0,
"files": 0
},
"file_size_threshold": 0,
"max_disk_size_percent": 0,
"min_free_disk_required": 0,
"no_of_techsupport_retentions": 0,
"simultaneous_invocations": 0,
"task_timeout": 0,
"url": "string",
"uuid": "string"
}
OK
{
"_last_modified": "string",
"archive_rules": {
"rules": [
{
"file_path": "string",
"threshold": 0
}
]
},
"event_params": {
"collect_all_events": false,
"days": 0,
"files": 0
},
"file_size_threshold": 0,
"max_disk_size_percent": 0,
"min_free_disk_required": 0,
"no_of_techsupport_retentions": 0,
"simultaneous_invocations": 0,
"task_timeout": 0,
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
archive_rules
event_params
Max file size threshold to archive in techsupport collection. files above this threshold will not be collected and an warning will be flagged. Allowed values are 128-512. Field introduced in 31.2.1. Unit is MB. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Max disk size in percent of total disk size reserved for the techsupport. The value is in Percentage to make it agnostic of controller flavors. e.g. small [disk=5 GB, TS space available = 500MB] Large [ disk= 100Gb, TS Space available= 10GB] XL [disk=1TB, TS space available=100GB]. Allowed values are 10-25. Field introduced in 31.2.1. Unit is PERCENT. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Min free disk required for the techsupport invocation. The value is in Percentage to make it agnostic of controller flavors. e.g. small [disk=5 GB, TS space available = 250MB] Large [ disk= 100Gb, TS Space available= 5GB] XL [disk=1TB, TS space available=50GB]. Allowed values are 5-10. Field introduced in 31.2.1. Unit is PERCENT. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Number of techsupport to retain from techsupport cleanup policy. Allowed values are 1-5. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Number of simultaneous techsupport invocation allowed. Allowed values are 1-2. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Generic timeout for techsupport task collection. This can be used for task, script executions etc. Tweak the timeout value in cases of timeout observation in the logs. Field introduced in 31.2.1. Unit is SEC. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
url
UUID Identifier for the techsupport profile. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
log in failed
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/techsupportprofile